FreeBSD : firebird -- Remote Stack Buffer Overflow (6adca5e9-95d2-11e2-8549-68b599b52a02)

Medium Nessus Plugin ID 65843


The remote FreeBSD host is missing one or more security-related updates.


Firebird Project reports :

The FirebirdSQL server is vulnerable to a stack-based buffer overflow that can be triggered when an unauthenticated user sends a specially crafted packet. The result can lead to remote code execution as the user which runs the FirebirdSQL server.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 65843

File Name: freebsd_pkg_6adca5e995d211e2854968b599b52a02.nasl

Version: $Revision: 1.4 $

Type: local

Published: 2013/04/08

Modified: 2014/06/05

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:firebird21-server, p-cpe:/a:freebsd:freebsd:firebird25-server, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2013/03/06

Vulnerability Publication Date: 2013/01/31

Exploitable With

Core Impact

Metasploit (Firebird Relational Database CNCT Group Number Buffer Overflow)

Reference Information

CVE: CVE-2013-2492